Skip to main content
Get the Skill Profile for an Employee
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}/skill_profile \
  --header 'Authorization: Bearer <token>'
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "num_skill_events": 5,
  "low_data_availability": false,
  "skills": [
    {
      "skill": "Machine Learning",
      "skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8",
      "validation_state": "suggested",
      "sources": [
        "working_history"
      ],
      "source_events": [
        {
          "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
          "event_type": "working_history",
          "source": "workday"
        }
      ],
      "self_rated_proficiency_level": null,
      "self_rated_proficiency_float": null,
      "inferred_proficiency_level": 2,
      "inferred_proficiency_float": 0.4
    },
    {
      "skill": "Python",
      "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b",
      "validation_state": "validated",
      "sources": [
        "education_history",
        "working_history"
      ],
      "source_events": [
        {
          "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
          "event_type": "education_history",
          "source": "workday"
        },
        {
          "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
          "event_type": "working_history",
          "source": "workday"
        }
      ],
      "self_rated_proficiency_level": 2,
      "self_rated_proficiency_float": 0.4,
      "inferred_proficiency_level": 3,
      "inferred_proficiency_float": 0.6
    },
    {
      "skill": "Tensorflow",
      "skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de",
      "validation_state": "suggested",
      "sources": [
        "education_history"
      ],
      "source_events": [
        {
          "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
          "event_type": "education_history",
          "source": "workday"
        }
      ],
      "self_rated_proficiency_level": null,
      "self_rated_proficiency_float": null,
      "inferred_proficiency_level": null,
      "inferred_proficiency_float": null
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:list

Defines the format of the returned Skill Profile.

Available options:
list,
skill_clusters,
domains,
hierarchy
Example:

"list"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl
include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes and has no effect when response_format is set to domains or skill_clusters.

Available options:
sources,
low_data_availability_flag,
self_rated_proficiency_level,
self_rated_proficiency_float,
inferred_proficiency_level,
inferred_proficiency_float,
properties
Example:
["sources"]
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant, and is not supported when response_format is set to domains or skill_clusters.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Response

OK

The default Skill Profile result returned. The profile consists of a list of Skills and their validation states.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

num_skill_events
integer
required

The amount of Skill Events an Employee has.

Required range: x >= 0
Example:

5

skills
object[]
required

The Skills contained in this profile.

low_data_availability
boolean

Flag indicating whether sufficient data is available for qualitative Skill inference for a given entity.

Example:

false